package com.ejie.m62fb.model.tipos;

public class TipoComoAdjudicacion extends AbstractTipoGenericoR09 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final String NUM_REGISTRO = R09Tipos.TIPO_COMO_ADJUDICA;

	/**
	 * Method 'TipoComoAdjudicacion'.
	 */
	public TipoComoAdjudicacion() {
		super(TipoComoAdjudicacion.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoComoAdjudicacion'.
	 * 
	 * @param idElereg
	 *            String
	 */
	public TipoComoAdjudicacion(String idElereg) {
		super(TipoComoAdjudicacion.NUM_REGISTRO, idElereg);
	}

	/**
	 * Method 'TipoComoAdjudicacion'.
	 * 
	 * @param idElereg
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoComoAdjudicacion(String idElereg, String descripcionEs,
			String descripcionEu) {
		super(TipoComoAdjudicacion.NUM_REGISTRO, idElereg, descripcionEs,
				descripcionEu);
	}
}